/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import "Service.h"
#import <appkit/appkit.h>

@interface Hosts:Service
{
    id	textHostname;
		id	textNetbiosname;
		id	textInternetAddress;
		id	textEthernetAddress;
		id	textSystemOwner;
    id	popupSystemType;
		id	textKernel;
		id	textRootDirectory;
		id	textPrivateDirectory;
    id	textAliases;
		id	browserAliases;
    id	textNetgroups;
		id	browserNetGroups;
		id	buttonAddNetGroup;
		id	buttonDelNetGroup;

//    id	window;

		id	panel;
}

- addAlias:sender;
- removeAlias:sender;
- revert:sender;

- setNetBoot:sender;

- configOK:sender;
- configCancel:sender;

@end
