/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

// NetInfo directories:
#define SMNI_GROUPS			"/groups"
#define SMNI_HOSTS			"/machines"
#define SMNI_PRINTERS		"/printers"
#define SMNI_SAMBA			"/samba"
#define SMNI_USERS			"/users"
#define SMNI_SERVICES		"/services"
#define SMNIP_PROTOCOLS	"protocols"

// The property names of a directory:
#define SMNIP_NAME			"name"
#define SMNIP_PORT			"port"
#define SMNIP_PROTOCOL	"protocol"
#define SMNIP_NUMBER    "number"

// The property values:
#define SMNIP_NBSSN     "netbios-ssn"
#define SMNIP_NBNS      "netbios-ns"

// The property name of a hosts netgroups:
#define SMNIP_NETGROUP	"netgroups"
