/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import "Service.h"
#import <appkit/appkit.h>

@interface Users:Service
{
		id	textFullName;
		id	textUserName;
		id	textSMBPasswd;
		id	textUserID;
		id	textDefaultGroup;
		id	textHomeDirectory;
		id	textLoginShell;
    id	fieldVerifyPassword;
		id	checkPassword;
		
		id	buttonInstall;
		
		id	password;
		const char		*userName;
		
//		id	window;
}

- passwordCancel:sender;
- passwordOK:sender;
- installWithoutSetting:sender;
@end
