/*
    SambaManger. A graphical frontend to configure the NetInfo enhanced samba.
    Copyright (C) 1998  Robert Frank

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
		
		Robert Frank, frank@ifi.unibas.ch
*/

#import <appkit/appkit.h>


@interface Controller:Object
{
		id	buttonStop;
		id	buttonStart;
		id	buttonRemove;
    id	buttonRevert;
    id	buttonSave;

    id	fieldnmbProgram;
    id	fieldnmbNetBiosName;
		id	buttonNMBLogging;
		id	matrixNMBLogging;
    id	fieldnmbLogFile;
		
    id	fieldsmbProgram;
		id	checkKeepAlive;
		id	checkReuse;
		id	checkBroadcast;
		id	checkNoDelay;
		id	fieldSendBufSize;
		id	fieldRecBufSize;
		id	fieldSendLowWat;
		id	fieldRecLowWat;
		id	buttonSMBLogging;
		id	matrixSMBLogging;
		id	buttonSMBLogMethod;
		id	matrixSMBLogMethod;
    id	fieldsmbLogFile;
		
		id	textParameters;

    id	menuCellSamba;
		id  menuDelete;
		id  menuSave;
		id  menuSaveToDomain;
		id	menuRevert;
		id	menuClose;
		
		id	fieldPassword;

		id	windowStartup;
		id	panelAuthenicate;
		id	windowParameters;

		id		strings;
		List	*serviceList;
		uid_t	uid, euid;
		BOOL	rootOk;
		
		NXCoord	offset;
}

- cancelPassword:sender;
- close:sender;
- delete:sender;
- info:sender;
- newHost:sender;
- newService:sender;
- okayPassword:sender;
- openHost:sender;
- openPrinter:sender;
- openService:sender;
- openUser:sender;
- preferences:sender;
- remove:sender;
- removeFromServiceList:sender;
- revert:sender;
- revertStartup:sender;
- save:sender;
- saveStartup:sender;
- saveToDomain:sender;
- setNameDaemon:sender;
- setNameLogging:sender;
- setSambaDaemon:sender;
- setSambaLogging:sender;
- showStartup:sender;
- start:sender;
- stop:sender;
- testParameters:sender;

@end
